Package madkit.action

# Enum Class UIAction

java.lang.Object
java.lang.Enum<UIAction>
madkit.action.UIAction

All Implemented Interfaces:
  `Serializable`, `Comparable<UIAction>`, `java.lang.constant.Constable`

public enum UIAction extends Enum<UIAction>
Enum representing actions which could be used on MDK frames

Since:
  MaDKit 5.1.0.1
Version:
  0.9
Author:
  Fabien Michel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BACKGROUND`
  `PRINT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Action`
  `getActionFor(JFrame frame)`
  Builds an action that will operate on this frame
  `ActionInfo`
  `getActionInfo()`
  `static ResourceBundle`
  `getMessages()`
  `static UIAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UIAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BACKGROUND

    public static final UIAction BACKGROUND

  - ### PRINT

    public static final UIAction PRINT

- ## Method Details

  - ### values

    public static UIAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UIAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getMessages

    public static ResourceBundle getMessages()
    Returns:
      the bundle for internationalized messages

  - ### getActionInfo

    public ActionInfo getActionInfo()
    Returns:
      the actionInfo corresponding to this constant

  - ### getActionFor

    public abstract Action getActionFor(JFrame frame)
    Builds an action that will operate on this frame
    Parameters:
      `frame` - the frame on which this action will operate
    Returns:
      the Action corresponding to this feature